%define name cfengine
%define ver 1.6.5
%define rel 2mdk
%define url ftp://ftp.iu.hioslo.no/pub/cfengine

Summary: Cfengine helps administer remote BSD and System-5-like systems
Name: %{name}
Version: %{ver}
Release: %{rel}
License: GPL
Group: Monitoring
URL: http://www.iu.hio.no/cfengine/
Source: %{url}/%{name}-%{ver}.tar.bz2
Source1: cfengine.conf
Source2: cfengine.cron
Source3: cfd.conf
Source4: cfd.init
Patch0: cfengine-1.6.5-all2sbin.patch.bz2
BuildRoot: %{_tmppath}/cfengine-root
PreReq: /sbin/chkconfig /sbin/install-info
BuildRequires: flex bison openssl-devel db3-devel tetex-dvips texinfo tetex-latex

%description
Cfengine, the configuration engine, is a very high level language for
simplifying the task of administrating and configuring large numbers
of workstations. Cfengine uses the idea of classes and a primitive
form of intelligence to define and automate the configuration of large
systems in the most economical way possible.

%prep
%setup -q
%patch0 -p1

%build
%serverbuild
aclocal
autoconf
%configure --datadir=/etc
%make

%install
%makeinstall

mkdir -p $RPM_BUILD_ROOT/etc/%{name}
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/etc/cfengine/cfengine.conf
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT/etc/cfengine/cfd.conf
mkdir -p $RPM_BUILD_ROOT/var/spool/cfengine
mkdir -p $RPM_BUILD_ROOT/etc/cron.daily
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT/etc/cron.daily/cfengine
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m 755 %{SOURCE4} $RPM_BUILD_ROOT/etc/rc.d/init.d/cfd
# Kick files from /usr/share/cfengine/, there are in /usr/share/doc/cfengine also (JH)
rm $RPM_BUILD_ROOT/usr/share/cfengine/*
cd doc
%makeinstall
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8
cd ..
rm -rf rpmdoc
mkdir rpmdoc
mv $RPM_BUILD_ROOT/usr/share/cfengine/{doc,html} rpmdoc
rm $RPM_BUILD_ROOT/usr/share/info/dir
%define info_files cfengine-Tutorial cfengine-Reference

%post
%_post_service cfd
for f in %{info_files}; do
  /sbin/install-info %{_infodir}/$f.info.bz2 %{_infodir}/dir
done

%preun
%_preun_service cfd
if [ "$1" = 0 ]; then
    for f in %{info_files}; do
        /sbin/install-info --delete %{_infodir}/$f.info.bz2 %{_infodir}/dir
    done
fi

%files
%defattr(-,root,root)
%doc doc/*.ps
%doc inputs/cf*
%doc rpmdoc/html/
%{_infodir}/*
%{_mandir}/man*/*
%dir /var/spool/cfengine

%{_sbindir}/*

%config(noreplace) /etc/cfengine/cfengine.conf
%config(noreplace) /etc/cfengine/cfd.conf
%config(noreplace) /etc/rc.d/init.d/cfd
%config(noreplace) /etc/cron.daily/cfengine

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri May  2 2003 root <holm@theorie.physik.uni-goettingen.de> 1.6.5-2mdk
- Build requires: tetex-latex

* Thu Aug 15 2002 Juergen Holm <holm@theorie.physik.uni-goettingen.de> 1.6.5-1mdk
- Update to 1.6.5 to fix classes bug, and Checksumdatabase bug

* Fri Apr 26 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.6.3-8mdk
- Patch2: Fix build with gcc-3.1+. Don't include /usr/local/* in
  include and lib search path. Fix comment typo.

* Fri Feb 22 2002 Frederic Lepied <flepied@mandrakesoft.com> 1.6.3-7mdk
- URL
- fixed installation of the doc

* Wed Nov 14 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.6.3-6mdk
- added texinfo and tetex-dvips to BuildRequires

* Sat Oct 13 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.6.3-5mdk
- recompile for db3.3

* Tue Jul  3 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.6.3-4mdk
- rebuild for db3.2

* Thu Mar 29 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.6.3-3mdk
- use the new rpm macros for servers.

* Mon Mar 26 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.6.3-2mdk
- stop cfd on uninstall

* Fri Mar 16 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.6.3-1mdk
- 1.6.3

* Wed Jan 17 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.6.2-1mdk
- new version

* Tue Jan  2 2001 Stefan van der Eijk <s.vandereijk@chello.nl> 1.6.1-2mdk
- fixed install

* Tue Jan  2 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.6.1-1mdk
- new version

* Thu Oct 12 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.5.4-5mdk
- Add security fix for syslog.

* Mon Aug 21 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.5.4-4mdk
- config files in noreplace mode.
- enable ssl

* Thu Jul 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.5.4-3mdk
- Move backups to /var/sppol.
- Merge debian patches.
- Recognize a Mandrake sysem.
- BM.

* Tue Jun  6 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.5.4-2mdk
- Don't compile with SSL.

* Wed Mar  8 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.5.4-1mdk
- mandrake version.
